Modify

Opened 12 months ago

Closed 12 months ago

Last modified 12 months ago

#14013 closed defect (fixed)

environment_needs_upgrade incorrectly returns false after upgrade failure

Reported by: Ryan J Ollos Owned by: Jun Omae
Priority: normal Component: TracDbftsPlugin
Severity: normal Keywords:
Cc: Trac Release:

Description (last modified by Ryan J Ollos)

The upgrade failed due to missing FTS5 extension:

$ trac-admin "/Users/rjollos/Documents/Workspace/trac-dev/tracenvs/proj-1.3" upgrade
19:29:17 Trac[loader] ERROR: Skipping "S3AttachmentStorage": ImportError: No module named boto3
19:29:17 Trac[env] WARNING: Component <Component tracdbfts.api.TracDbftsSystem> requires an environment upgrade
19:29:17 Trac[env] WARNING: Component <Component tracdbfts.api.TracDbftsSystem> requires an environment upgrade
19:29:17 Trac[env] ERROR: Component <Component tracdbfts.api.TracDbftsSystem> failed with
Traceback (most recent call last):
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/env.py", line 387, in component_guard
    yield
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/env.py", line 787, in upgrade
    participant.upgrade_environment()
  File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/api.py", line 66, in upgrade_environment
    self._interface.create_schema()
  File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/api.py", line 521, in create_schema
    """)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/util.py", line 74, in execute
    return self.cursor.execute(sql)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 87, in execute
    result = PyFormatCursor.execute(self, *args)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 63, in execute
    args or [])
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 54, in _rollback_on_error
    return function(self, *args, **kwargs)
OperationalError: no such tokenizer: trigram
The upgrade failed. Please fix the issue and try again.

OperationalError: no such tokenizer: trigram
19:29:17 Trac[console] ERROR: Exception in trac-admin command: u'upgrade'
Traceback (most recent call last):
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/admin/console.py", line 83, in onecmd
    rv = cmd.Cmd.onecmd(self, line) or 0
  File "/Users/rjollos/.pyenv/versions/2.7.18/lib/python2.7/cmd.py", line 220, in onecmd
    return self.default(line)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/admin/console.py", line 252, in default
    return self.cmd_mgr.execute_command(*args)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/admin/api.py", line 135, in execute_command
    return f(*fargs)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/env.py", line 1062, in _do_upgrade
    self.env.upgrade(backup=no_backup is None)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/env.py", line 787, in upgrade
    participant.upgrade_environment()
  File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/api.py", line 66, in upgrade_environment
    self._interface.create_schema()
  File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/api.py", line 521, in create_schema
    """)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/util.py", line 74, in execute
    return self.cursor.execute(sql)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 87, in execute
    result = PyFormatCursor.execute(self, *args)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 63, in execute
    args or [])
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 54, in _rollback_on_error
    return function(self, *args, **kwargs)
OperationalError: no such tokenizer: trigram

The dbtfs table was created so now the system does not think the environment needs to be upgraded due to logic in environment_needs_upgrade.

../tracenvs/proj-1.3/db/trac.db> .tables
+------------------------+
| name                   |
+------------------------+
| attachment             |
| auth_cookie            |
| cache                  |
| codereviewer           |
| codereviewer_map       |
| component              |
| component_default_cc   |
| dbfts                  |

Search results in an error:

Attachments (1)

Screen Shot 2021-05-17 at 20.22.55.jpg (24.8 KB) - added by Ryan J Ollos 12 months ago.

Download all attachments as: .zip

Change History (23)

Changed 12 months ago by Ryan J Ollos

comment:1 Changed 12 months ago by Ryan J Ollos

Description: modified (diff)

comment:2 Changed 12 months ago by Ryan J Ollos

Description: modified (diff)

comment:3 Changed 12 months ago by Ryan J Ollos

It looks like FTS5 is enabled:

>>> import sqlite3
>>> sqlite3.sqlite_version
'3.32.3'
>>> import pprint
>>> db = sqlite3.connect(':memory:')
>>> cursor = db.execute('PRAGMA COMPILE_OPTIONS')
>>> pprint.pprint(cursor.fetchall())
[(u'BUG_COMPATIBLE_20160819',),
 (u'COMPILER=clang-12.0.5',),
 (u'DEFAULT_CACHE_SIZE=2000',),
 (u'DEFAULT_CKPTFULLFSYNC',),
 (u'DEFAULT_JOURNAL_SIZE_LIMIT=32768',),
 (u'DEFAULT_PAGE_SIZE=4096',),
 (u'DEFAULT_SYNCHRONOUS=2',),
 (u'DEFAULT_WAL_SYNCHRONOUS=1',),
 (u'ENABLE_API_ARMOR',),
 (u'ENABLE_COLUMN_METADATA',),
 (u'ENABLE_DBSTAT_VTAB',),
 (u'ENABLE_FTS3',),
 (u'ENABLE_FTS3_PARENTHESIS',),
 (u'ENABLE_FTS3_TOKENIZER',),
 (u'ENABLE_FTS4',),
 (u'ENABLE_FTS5',),
 (u'ENABLE_JSON1',),
 (u'ENABLE_LOCKING_STYLE=1',),
 (u'ENABLE_PREUPDATE_HOOK',),
 (u'ENABLE_RTREE',),
 (u'ENABLE_SESSION',),
 (u'ENABLE_SNAPSHOT',),
 (u'ENABLE_SQLLOG',),
 (u'ENABLE_STMT_SCANSTATUS',),
 (u'ENABLE_UNKNOWN_SQL_FUNCTION',),
 (u'ENABLE_UPDATE_DELETE_LIMIT',),
 (u'HAS_CODEC_RESTRICTED',),
 (u'HAVE_ISNAN',),
 (u'MAX_LENGTH=2147483645',),
 (u'MAX_MMAP_SIZE=1073741824',),
 (u'MAX_VARIABLE_NUMBER=500000',),
 (u'OMIT_AUTORESET',),
 (u'OMIT_LOAD_EXTENSION',),
 (u'STMTJRNL_SPILL=131072',),
 (u'THREADSAFE=2',),
 (u'USE_URI',)]

But I still get:

OperationalError: no such tokenizer: trigram

comment:4 in reply to:  description ; Changed 12 months ago by Jun Omae

The dbtfs table was created so now the system does not think the environment needs to be upgraded due to logic in environment_needs_upgrade.

../tracenvs/proj-1.3/db/trac.db> .tables
+------------------------+
| name                   |
+------------------------+
| attachment             |
| auth_cookie            |
| cache                  |
| codereviewer           |
| codereviewer_map       |
| component              |
| component_default_cc   |
| dbfts                  |

That's weird. Creating dbfts table should be rolled back because it uses db_transaction context at tracdbftsplugin/trunk/tracdbfts/api.py@18301:510-514#L508.

comment:5 in reply to:  4 Changed 12 months ago by Ryan J Ollos

Replying to Jun Omae:

That's weird. Creating dbfts table should be rolled back because it uses db_transaction context at tracdbftsplugin/trunk/tracdbfts/api.py@18301:510-514#L508.

I think we ran into this before, but I don't remember exactly when: SO:30760997/121694.

comment:6 Changed 12 months ago by Jun Omae

In 18303:

TracDbftsPlugin: check fts5 module available in SQLite database (refs #14013)

comment:7 Changed 12 months ago by Ryan J Ollos

The r18303 looks like a good change to address users with no FTS5 in their SQLite.

After r18303, I still get an error message:

OperationalError: no such tokenizer: trigram

I have SQLite3 with FTS5, but no trigram tokenizer it seems.

comment:8 Changed 12 months ago by Jun Omae

I guess you're using SQLite < 3.34.0. The trigram tokenzier is available since SQLite 3.34.0 (https://sqlite.org/releaselog/3_34_0.html).

Also, I think it is unable to check the SQLite version because no pragma to list tokenizers exists and fts5 module and tokenziers can be loaded via [sqlite] extensions option.

Check whether your _sqlite3.so has trigram tokenizer.

$ otool -L ~/.pyenv/versions/2.7.18/lib/python2.7/lib-dynload/_sqlite3.so
/Users/groove/.pyenv/versions/2.7.18/lib/python2.7/lib-dynload/_sqlite3.so:
        /usr/local/opt/sqlite/lib/libsqlite3.0.dylib (compatibility version 9.0.0, current version 9.6.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1252.250.1)
$ strings /usr/local/opt/sqlite/lib/libsqlite3.0.dylib | grep -w trigram
trigram

comment:9 Changed 12 months ago by Ryan J Ollos

$ otool -L ~/.pyenv/versions/2.7.18/lib/python2.7/lib-dynload/_sqlite3.so
/Users/rjollos/.pyenv/versions/2.7.18/lib/python2.7/lib-dynload/_sqlite3.so:
    /usr/lib/libsqlite3.dylib (compatibility version 9.0.0, current version 308.4.0)
    /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 1281.100.1)
$ $ strings /usr/lib/libsqlite3.dylib
error: /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/strings: can't open file: /usr/lib/libsqlite3.dylib (No such file or directory)

Recently I've added sqlite3 installed by Brew to the front of my PATH.

$ which sqlite3
/usr/local/opt/sqlite/bin/sqlite3
$ sqlite3 --version
3.35.5 2021-04-19 18:32:05 1b256d97b553a9611efca188a3d995a2fff712759044ba480f9a0c9e98fae886

Maybe I should reinstall Python 2.7.18 using pyenv and it will get built against Brew's SQLite?

comment:10 Changed 12 months ago by Jun Omae

Yes.

$ pyenv uninstall 2.7.18
$ PYTHON_CONFIGURE_OPTS=--enable-loadable-sqlite-extensions \
  CPPFLAGS=-I/usr/local/opt/sqlite/include \
  LDFLAGS=-L/usr/local/opt/sqlite/lib \
  pyenv install 2.7.18

Otherwise, we may use pysqlite built with static-linked sqlite3.

$ workdir=/tmp
$ tar xzf pysqlite-2.8.3.tar.gz -C "$workdir"
$ tar xzf sqlite-autoconf-3350500.tar.gz -C "$workdir"
$ cd pysqlite-2.8.3
$ cp "$workdir/sqlite-autoconf-3350500/sqlite3."[ch] .
$ CFLAGS="-DSQLITE_ENABLE_FTS5" python setup.py build_static install
$ strings /path/to/venv/lib/python2.7/site-packages/pysqlite2/_sqlite.so | grep '^fts5: 20\|trigram'
trigram
fts5: 2021-04-19 18:32:05 1b256d97b553a9611efca188a3d995a2fff712759044ba480f9a0c9e98fae886
Last edited 12 months ago by Jun Omae (previous) (diff)

comment:11 Changed 12 months ago by Ryan J Ollos

Tested r18304: dbtfs is not created when upgrade fails and environment still reports needing upgrade. 👍

I'll try comment:10 guidance. Thanks!

comment:12 in reply to:  10 ; Changed 12 months ago by Ryan J Ollos

Replying to Jun Omae:

$ pyenv uninstall 2.7.18
$ PYTHON_CONFIGURE_OPTS=--enable-loadable-sqlite-extensions \
  CPPFLAGS=-I/usr/local/opt/sqlite/include \
  LDFLAGS=-L/usr/local/opt/sqlite/lib \
  pyenv install 2.7.18

Installation works well following this guidance. I'm hitting an exception on indexing:

$ trac-admin $ENVS/proj-1.3 dbfts index
11:46:32 Trac[loader] ERROR: Skipping "S3AttachmentStorage": ImportError: No module named boto3
Indexed 100 objects from wiki
Indexed 166 objects from ticket
Indexed 17 objects from milestone
IntegrityError: UNIQUE constraint failed: dbfts.hash
11:47:01 Trac[console] ERROR: Exception in trac-admin command: u'dbfts index'
Traceback (most recent call last):
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/admin/console.py", line 83, in onecmd
    rv = cmd.Cmd.onecmd(self, line) or 0
  File "/Users/rjollos/.pyenv/versions/2.7.18/lib/python2.7/cmd.py", line 220, in onecmd
    return self.default(line)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/admin/console.py", line 252, in default
    return self.cmd_mgr.execute_command(*args)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/admin/api.py", line 135, in execute_command
    return f(*fargs)
  File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/admin.py", line 74, in _do_index
    add(*item)
  File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/api.py", line 177, in changeset_added
    'repository', repos.reponame)
  File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/api.py", line 217, in _insert_record
    parent_id, content))
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/api.py", line 50, in execute
    return db.execute(query, params)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/util.py", line 129, in execute
    cursor.execute(query, params if params is not None else [])
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/util.py", line 73, in execute
    return self.cursor.execute(sql_escape_percent(sql), args)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 87, in execute
    result = PyFormatCursor.execute(self, *args)
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 63, in execute
    args or [])
  File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 54, in _rollback_on_error
    return function(self, *args, **kwargs)
IntegrityError: UNIQUE constraint failed: dbfts.hash

I made modified the code to print on IntegrityError:

  • tracdbfts/api.py

     
    213213            id_ = to_unicode(id_)
    214214        if parent_id is not None and isinstance(parent_id, basestring):
    215215            parent_id = to_unicode(parent_id)
    216         self.env.db_transaction(stmt, (hash_, time, realm, id_, parent_realm,
    217                                        parent_id, content))
     216        args = (hash_, time, realm, id_, parent_realm, parent_id, content)
     217        try:
     218            self.env.db_transaction(stmt, args)
     219        except self.env.db_exc.IntegrityError:
     220            print("Unique constraint failed for: %s"
     221                  % ", ".join(to_unicode(a) for a in args[:-1]))
    218222
    219223    def _update_record(self, hash_, content, time):
    220224        if time is not None and isinstance(time, datetime):
$ trac-admin $ENVS/proj-1.3 dbfts index
11:59:23 Trac[loader] ERROR: Skipping "S3AttachmentStorage": ImportError: No module named boto3
Indexed 100 objects from wiki
Indexed 166 objects from ticket
Indexed 17 objects from milestone
Unique constraint failed for: oPpFghvwviyXilwgC6B2glgu5sA, 1434480193909722, changeset, 0000000001, repository, proj1
Unique constraint failed for: glLPzd7y6oOagPWr9UXUsJ2ZYvA, 1434480900666332, changeset, 0000000002, repository, proj1
Unique constraint failed for: IpCpmAYHUxzUyY+5Ax1kSEo4C/w, 1434480962133545, changeset, 0000000003, repository, proj1
...

I'm still investigating why IntegrityError is occurring.

What are the key features / advantages of full text search over the search implementation in Trac? Is it primarily performance improvement?

comment:13 Changed 12 months ago by Ryan J Ollos

It's very strange, I get unique constraint failed for a bunch of attachments as well:

Unique constraint failed for: nMqSfQRMfp/ncl7on8xLQ1dz3t8, 1504824604118337, attachment, Trac1.2.x.html, ticket, 37

But only if I index all of the realms. If just indexing attachments:

$ trac-admin tracenvs/proj-1.3 dbfts index attachment
Indexed 32 objects from attachment

Otherwise:

$ trac-admin tracenvs/proj-1.3 dbfts index
Indexed 100 objects from wiki
Indexed 166 objects from ticket
Indexed 17 objects from milestone
Unique constraint failed for: oPpFghvwviyXilwgC6B2glgu5sA, 1434480193909722, changeset, 0000000001, repository, proj1
Unique constraint failed for: glLPzd7y6oOagPWr9UXUsJ2ZYvA, 1434480900666332, changeset, 0000000002, repository, proj1
Unique constraint failed for: IpCpmAYHUxzUyY+5Ax1kSEo4C/w, 1434480962133545, changeset, 0000000003, repository, proj1
Unique constraint failed for: 95OF1oNhEMFGW1nxReqV1I2BCPc, 1434480992429804, changeset, 0000000004, repository, proj1
Unique constraint failed for: fvNoPphZKVDXwWN+/sBZN4UvDm8, 1434481182098973, changeset, 0000000005, repository, proj1
Unique constraint failed for: X59tMO0p5L+/1BCECfbhROxrEHI, 1434481600604579, changeset, 0000000006, repository, proj1
Unique constraint failed for: x+3V4kJfdpNlTOSUsV4AgeXs4g4, 1435445313562831, changeset, 0000000007, repository, proj1
Unique constraint failed for: 4wOMRVm/CdHPGKdoRDlO6JDBhks, 1435445411929330, changeset, 0000000008, repository, proj1
Unique constraint failed for: pavcsfjNZ6m9ZMhrzF78GnRnki8, 1452374763512298, changeset, 0000000009, repository, proj1
Unique constraint failed for: 7gJX5lyc/NAxyg4anTi4heYY4S0, 1463409252867898, changeset, 0000000010, repository, proj1
Unique constraint failed for: aiWU/EyFKbTossCh3tYmCK6vB+s, 1463452401887404, changeset, 0000000011, repository, proj1
Unique constraint failed for: ygHGnzvJTbjRbYvvDPfNoIDRV64, 1463452433659965, changeset, 0000000012, repository, proj1
Unique constraint failed for: rtRKtpLfcuPL5qjXGa2XZMqnzsg, 1463452451199929, changeset, 0000000013, repository, proj1
Unique constraint failed for: IuVeyqfBgGFdktQpNqA+scl5S1c, 1463452633784287, changeset, 0000000014, repository, proj1
Unique constraint failed for: 0xgDzHHTERAV3ZiDsi6LpH13KMg, 1463452663055961, changeset, 0000000015, repository, proj1
Unique constraint failed for: Ko+IxQgF7pPxZxeJRK6S4ZaM/0Y, 1463452827489623, changeset, 0000000016, repository, proj1
Unique constraint failed for: fgIEcCoeajzCAw3URmMn039jflc, 1463452837107658, changeset, 0000000017, repository, proj1
Unique constraint failed for: 1zIUjOpgCe2lOirAPh+xBSslrLg, 1463453213546748, changeset, 0000000018, repository, proj1
Unique constraint failed for: 52ulrU0Z3FQ+pIQfVQJkGf0g1/A, 1463628966495192, changeset, 0000000019, repository, proj1
Unique constraint failed for: 6D4gMcJqit3qgzPpmEDBghqUIDc, 1465279483234644, changeset, 0000000020, repository, proj1
Unique constraint failed for: McsGcfHZve9KZud7v3rUjb8e82k, 1465279507008886, changeset, 0000000021, repository, proj1
Unique constraint failed for: h5X0aVTwU4GRl/zGHbjleeuc9Fw, 1465279562951407, changeset, 0000000022, repository, proj1
Unique constraint failed for: wfBHKmJYWJOj5ElY+jOU/59uwH8, 1465279588576619, changeset, 0000000023, repository, proj1
Unique constraint failed for: QBl4np78BJXsRsZFMPKO8F9c22g, 1471864660346761, changeset, 0000000024, repository, proj1
Unique constraint failed for: //CiEfl9TqIydHAN0PIJ25h3CC8, 1471865114495917, changeset, 0000000025, repository, proj1
Unique constraint failed for: 1zUqPjtUGgdUApnqIL2xoDlWMR0, 1471865156965227, changeset, 0000000026, repository, proj1
Unique constraint failed for: ZhROmtRbqxnXgTA7Tq2Sspq09P0, 1471865195955100, changeset, 0000000027, repository, proj1
Unique constraint failed for: /KozFj/E8gl1FLrBum2LTK6Wkao, 1471865217670256, changeset, 0000000028, repository, proj1
Unique constraint failed for: s5dAotfJxCULCyn4m39Mh0cNOuk, 1471865274940832, changeset, 0000000029, repository, proj1
Unique constraint failed for: bB6Ot5BVUpItpDj6Y95cOtvSMII, 1471865309262480, changeset, 0000000030, repository, proj1
Unique constraint failed for: RL1PWK9OWpKplFGu2LZ0xP0AHg4, 1471865412413538, changeset, 0000000031, repository, proj1
Unique constraint failed for: xJz9ioPF3681i8gqUzQ03r9J3/Q, 1471865547211500, changeset, 0000000032, repository, proj1
Unique constraint failed for: OepfWQj3cbpXz/7qIOK3Usg5CLg, 1471865873250043, changeset, 0000000033, repository, proj1
Unique constraint failed for: H0mE8ICv0o0R78Y7NauXXdDufdA, 1471865933215813, changeset, 0000000034, repository, proj1
Unique constraint failed for: VriUGybTUTdMy1a5YLJp4PHT+tg, 1471865952118488, changeset, 0000000035, repository, proj1
Unique constraint failed for: SNBUhLBceYALAqmAeEeAKkI6QCY, 1471866064366916, changeset, 0000000036, repository, proj1
Unique constraint failed for: IEbc2R7gRKUsEt3268ntwdz0LAQ, 1471866110632888, changeset, 0000000037, repository, proj1
Unique constraint failed for: JynE/xGvhq1wnFlo2YCF8qa78fg, 1471866192455574, changeset, 0000000038, repository, proj1
Unique constraint failed for: Esvx4MJAgAdjszRWHlF+acOCaTY, 1471866331609708, changeset, 0000000039, repository, proj1
Unique constraint failed for: 4aXlsKabFVe8PQQb3xxGZv+AVSM, 1471866526467259, changeset, 0000000040, repository, proj1
Unique constraint failed for: Xeb2gff6TbOjw/2ckOMnnpMNdG4, 1471866659549832, changeset, 0000000041, repository, proj1
Unique constraint failed for: w3dt/SyP8m0jHgOivEHDjX/hems, 1471866715052659, changeset, 0000000042, repository, proj1
Unique constraint failed for: uIRoV+aQb4MYpxWvpucdEbIdC4A, 1471867197279803, changeset, 0000000043, repository, proj1
Unique constraint failed for: zd/5xs3uUZl7Rb/w/f1Lx+hC/dw, 1471867489189052, changeset, 0000000044, repository, proj1
Unique constraint failed for: AaDa83HL2bWirSaAFucNQDHrFCI, 1471867565142606, changeset, 0000000045, repository, proj1
Unique constraint failed for: WMV4XcswkySk59W6nCp+OxDezo0, 1471867764624434, changeset, 0000000046, repository, proj1
Unique constraint failed for: Q90Te/wgIVVg9p/1YfyMbm8Xq5A, 1471868887132441, changeset, 0000000047, repository, proj1
Unique constraint failed for: Af4WGbUhV7zILmjegyZ7Ky9kQbY, 1471868929717633, changeset, 0000000048, repository, proj1
Unique constraint failed for: n1NgT0bIWn8MOtEzNwXUUO3PVQs, 1471868942652276, changeset, 0000000049, repository, proj1
Unique constraint failed for: +h7Q0cmbEDia/+h94JB+1l3coLQ, 1471869083003137, changeset, 0000000050, repository, proj1
Unique constraint failed for: iR7g9xrNZurmtwR+HCelTw7rTWo, 1471869166955178, changeset, 0000000051, repository, proj1
Unique constraint failed for: uG4zU4ptMjAgVfwbBLvDoo9lzS8, 1471869202064478, changeset, 0000000052, repository, proj1
Unique constraint failed for: 6KJ59afW0b4Qh3FxyGpe5UY7caA, 1471869215416249, changeset, 0000000053, repository, proj1
Unique constraint failed for: UKpl/Md1SqDU/lHFWICosEUWEwk, 1471869553130557, changeset, 0000000054, repository, proj1
Unique constraint failed for: nGnbVqFSymwXFmX3mYNiuqRpgFg, 1471869584673673, changeset, 0000000055, repository, proj1
Unique constraint failed for: kZT5JpbTRgWMM16lm2cBENg0CFU, 1471869639796605, changeset, 0000000056, repository, proj1
Unique constraint failed for: 9pFNWdbVqJve27fRzrfmE3CVarQ, 1471968732547157, changeset, 0000000057, repository, proj1
Unique constraint failed for: B+eOmvB/Vj2vd5xmyE/Jl2rVK7I, 1471968818966971, changeset, 0000000058, repository, proj1
Unique constraint failed for: 2y4aRcL+RFfnGwg3FvXLJ2+U738, 1471968891765982, changeset, 0000000059, repository, proj1
Unique constraint failed for: DLub2b6acBMRb2EkDw6v5oyU4ro, 1471968985201183, changeset, 0000000060, repository, proj1
Unique constraint failed for: lBXquC+OkmHl5QVLIFkPH3Hnkhc, 1471969059310195, changeset, 0000000061, repository, proj1
Unique constraint failed for: BLZhPA5FDlB7brpzg3sIbpSOayc, 1471969304722128, changeset, 0000000062, repository, proj1
Unique constraint failed for: nr7st/4Bv7HjbjWM9KQqrNl/H4Q, 1471969343604729, changeset, 0000000063, repository, proj1
Unique constraint failed for: S+Dp0gkX/skjMvt7g0YyS+oAVn4, 1471969405836528, changeset, 0000000064, repository, proj1
Unique constraint failed for: gh/BUSfjScCbPfDSBx4BAmxbSeE, 1471969500736911, changeset, 0000000065, repository, proj1
Unique constraint failed for: JrToErESCihUoycIW4OfCp94l8U, 1471969535334546, changeset, 0000000066, repository, proj1
Unique constraint failed for: f5PMdQ1r34Kr1Wc2HQ1Kt6FFY5U, 1471969634250626, changeset, 0000000067, repository, proj1
Unique constraint failed for: +bTgXA/V+el0Xdgs32b4WNdAWas, 1471969782383589, changeset, 0000000068, repository, proj1
Unique constraint failed for: EH8f8LzdcBXPxlEvrJaO18DGqtI, 1471970078948969, changeset, 0000000069, repository, proj1
Unique constraint failed for: QQZxkbw7ieszdRbJNL85ghi5CDs, 1471970250791114, changeset, 0000000070, repository, proj1
Unique constraint failed for: b5CAE1RzyRJUsFLdCbeDTT4oiKM, 1471970403331275, changeset, 0000000071, repository, proj1
Unique constraint failed for: 62xCbaiYiSy/wjUMnuf5UT2AzPs, 1471970544542043, changeset, 0000000072, repository, proj1
Unique constraint failed for: 5y6y0eCyd+7GS21x40tBBaqhs6o, 1471970592617644, changeset, 0000000073, repository, proj1
Unique constraint failed for: aroomFghhfp7R5qsRu9IwfAZOko, 1471970615012903, changeset, 0000000074, repository, proj1
Unique constraint failed for: +I8iNPHo138fELJy1rAUMYsAfTE, 1471970637349871, changeset, 0000000075, repository, proj1
Unique constraint failed for: MfCzYSJNfeafbIJY1OYrWv5bDHY, 1471970929843093, changeset, 0000000076, repository, proj1
Unique constraint failed for: lMQIYdt/NF/SAXENILG/qCSO9tA, 1471971013238643, changeset, 0000000077, repository, proj1
Unique constraint failed for: fIdBW1LnEBcUWid4LPbi0UfKdc8, 1471971031786049, changeset, 0000000078, repository, proj1
Unique constraint failed for: zPLHth5MRQpz5sLBLMJ+p3c1iR4, 1471971126259980, changeset, 0000000079, repository, proj1
Unique constraint failed for: wIUiTmjgEntH+wfQVde+zjapO30, 1471971330801061, changeset, 0000000080, repository, proj1
Unique constraint failed for: TI+D6wXjkI+jcDQZ3rqcnJ8odXk, 1471971371434358, changeset, 0000000081, repository, proj1
Unique constraint failed for: RqbLsY/mBwXCI0X4thaekgGBTrE, 1471971572001845, changeset, 0000000082, repository, proj1
Unique constraint failed for: VDIDYAFtDUZBTXQv/8mB3ZdWTNw, 1471971726359039, changeset, 0000000083, repository, proj1
Unique constraint failed for: Eyha0OIDbjFcYhusxH7LrzObEPk, 1471971798820250, changeset, 0000000084, repository, proj1
Unique constraint failed for: esh1ZAZpzhwZ5TNzhr91pH0Oxxg, 1471971927177215, changeset, 0000000085, repository, proj1
Unique constraint failed for: fkuPpVVX7EOHnixT6GkjHQIR1AU, 1471971992219183, changeset, 0000000086, repository, proj1
Unique constraint failed for: bwJf0Pjid03XD1qgMBFb8HoayrM, 1471972052725851, changeset, 0000000087, repository, proj1
Unique constraint failed for: 7rQcB5Z+UyHgDTKyT7kqiSTqsGA, 1471972090501132, changeset, 0000000088, repository, proj1
Unique constraint failed for: S8PSuwA4P9/r/Ejy3YKjjLdwG4g, 1471972243843982, changeset, 0000000089, repository, proj1
Unique constraint failed for: PrnQN4nxZLW0WVPPPMgRQAIV89k, 1471972273964407, changeset, 0000000090, repository, proj1
Unique constraint failed for: SECbOWUIAl5R5f9B0Xg45aIAfWc, 1471972369684887, changeset, 0000000091, repository, proj1
Unique constraint failed for: lFhL/Vi1HRCdB4/OmtGHtmIXI7k, 1471972431903450, changeset, 0000000092, repository, proj1
Unique constraint failed for: RhChTgGdTJesLBvId12hES3sQqU, 1472779344873211, changeset, 0000000093, repository, proj1
Unique constraint failed for: pTA22aNA59Qvh+qpi5Ps92DKT3k, 1472779426170899, changeset, 0000000094, repository, proj1
Unique constraint failed for: s+QmOVBoaSkhwhrYVeDXuR2mY08, 1472779975972563, changeset, 0000000095, repository, proj1
Unique constraint failed for: 2rWI+7dMkEVgNXzoKL25exuxPr0, 1481871033464656, changeset, 0000000096, repository, proj1
Unique constraint failed for: /cPkBTP4OLFyfgvPhCNC62ziI58, 1481871314630900, changeset, 0000000097, repository, proj1
Unique constraint failed for: FW4wXrcwlVIpm0sXlTXk/g/hhPU, 1481871474174824, changeset, 0000000098, repository, proj1
Unique constraint failed for: WJhe5T98jeP5Yvl7dhGDPE66Kb4, 1481871704292412, changeset, 0000000099, repository, proj1
Unique constraint failed for: wEQBDKpYLB48GqxchklJ1RCLEls, 1481871864799088, changeset, 0000000100, repository, proj1
Unique constraint failed for: oI/hYVuSMWbQ8+f0FwYJ5AU+APs, 1481871954550974, changeset, 0000000101, repository, proj1
Unique constraint failed for: DpQTPNLmMDfMnhuKbuj8Ed8mQ4s, 1481873491991847, changeset, 0000000102, repository, proj1
Unique constraint failed for: fFoy32Zn/OkJqdQv1ttlgyTMbNM, 1481873753545914, changeset, 0000000103, repository, proj1
Unique constraint failed for: nJDC4qJL3JE40x0znIDhDl4Plg0, 1481873841448357, changeset, 0000000104, repository, proj1
Unique constraint failed for: akqd6JL5njnoBKsWMn6/JanS8Ak, 1481875430616228, changeset, 0000000105, repository, proj1
Unique constraint failed for: xumadv6td0wE0ZBmPuzVoxifwrc, 1481875576344050, changeset, 0000000106, repository, proj1
Unique constraint failed for: sVAcbpZJjLmSxBKvN2g3pa28fU4, 1481875720191157, changeset, 0000000107, repository, proj1
Unique constraint failed for: Uk0GJXejnoCZpQFGHKwHivA2Ths, 1481875736189542, changeset, 0000000108, repository, proj1
Unique constraint failed for: 6KRjBzHJ3d9/6c6cV7IEFLnVjKk, 1481875802915758, changeset, 0000000109, repository, proj1
Unique constraint failed for: AxK4O+UO9iSoDPOXvrxGaMXWwg4, 1481875834458123, changeset, 0000000110, repository, proj1
Unique constraint failed for: oK1hKu6JXNMVV2t+M0wAcW+IEXU, 1481875849386582, changeset, 0000000111, repository, proj1
Unique constraint failed for: Jls3E/PPkSvngX6SkIuYCNSStb8, 1481950196029216, changeset, 0000000112, repository, proj1
Unique constraint failed for: CVAhIbm5fTgxiq/UFWz3l2GEpqk, 1481950242617565, changeset, 0000000113, repository, proj1
Unique constraint failed for: rsVKn1oUB7LkVrBYzgYmpLOkLbg, 1481950286669389, changeset, 0000000114, repository, proj1
Unique constraint failed for: 3XEHV6FoLm1z/aMOI9HAgV3Wbf0, 1481951147419560, changeset, 0000000115, repository, proj1
Unique constraint failed for: NngnDhg4qZrbMkHu05EH9wflcfo, 1481951313553595, changeset, 0000000116, repository, proj1
Unique constraint failed for: 1ubb67jNCXk6tMLNuXl7LKncIxM, 1481951339168717, changeset, 0000000117, repository, proj1
Unique constraint failed for: mLzW4V81NownEjDCL3vwdHw4j1o, 1481951390647436, changeset, 0000000118, repository, proj1
Unique constraint failed for: 8Y29oJwVyDsepeGxEiQIdCu3olY, 1481951438750058, changeset, 0000000119, repository, proj1
Unique constraint failed for: TVudtNJ9CUuaFXN0w3hDt2MiIMY, 1481951542878319, changeset, 0000000120, repository, proj1
Unique constraint failed for: wZfW/u6C6X30U0aP4N3R1308UwI, 1481951931652220, changeset, 0000000121, repository, proj1
Unique constraint failed for: XGFVuOtRsN6n4XEkxrULbX8aCQo, 1481954399759082, changeset, 0000000122, repository, proj1
Unique constraint failed for: aRnYQqlKOoIXWWbo+qS8+KuxaXk, 1481955016066698, changeset, 0000000123, repository, proj1
Unique constraint failed for: mCAbgE0O/sJIbcOQde6Z3MEuIhE, 1481955173073764, changeset, 0000000124, repository, proj1
Unique constraint failed for: 2FsmDsb12DNqJypNra+MbVnZ8f0, 1481955390420985, changeset, 0000000125, repository, proj1
Unique constraint failed for: PHF4XLwHrgdvF8rYvFGcJjZQTGw, 1481955496729904, changeset, 0000000126, repository, proj1
Unique constraint failed for: UVH4HX9iB0RjCJiUZ5sci1dG9Ww, 1481956622184994, changeset, 0000000127, repository, proj1
Unique constraint failed for: +DFFBkXp7ymn5Gixx3W+ptGNe/k, 1481956746832947, changeset, 0000000128, repository, proj1
Unique constraint failed for: h2RA9uGweSpn3DAXWUdiVxBdrrM, 1491196395996099, changeset, 0000000129, repository, proj1
Unique constraint failed for: VKJOINkhNCcsxeHiZDBz9D20Fr4, 1491197781986125, changeset, 0000000130, repository, proj1
Unique constraint failed for: O80rRLKlrbWcwqYBLn7+wnMFwt0, 1491198043694663, changeset, 0000000131, repository, proj1
Unique constraint failed for: 0glW+riCOq1jutLtsw+FR6qiZdc, 1496679216304806, changeset, 0000000132, repository, proj1
Unique constraint failed for: 9NgvAQLdalMS96S8SSRXqJEJdv0, 1505015306984495, changeset, 0000000133, repository, proj1
Unique constraint failed for: nldt/x6RJlwHzgKKrttDIKlSEEM, 1505015346850280, changeset, 0000000134, repository, proj1
Unique constraint failed for: Or4a4IMEYc7tS3ue6PwAHsCn0uE, 1505015405659627, changeset, 0000000135, repository, proj1
Unique constraint failed for: Kmwp1Y/I9kzE8GC1IBwnLetbgl8, 1505017136295435, changeset, 0000000136, repository, proj1
Unique constraint failed for: kRNzNH5gCJUtZtX2GnGx2tVs1ps, 1505017166174715, changeset, 0000000137, repository, proj1
Unique constraint failed for: JvBtbnlv5E9OrufWxb+69eHwQvo, 1505017212898159, changeset, 0000000138, repository, proj1
Unique constraint failed for: S6Wwrba70e9e5nJofqqDopeJTX0, 1505109603077669, changeset, 0000000139, repository, proj1
Unique constraint failed for: MEDI8LJBG+oyXSdoTnAi5zhZrH0, 1505109629998525, changeset, 0000000140, repository, proj1
Unique constraint failed for: 9myWOzw5uvulx7337X2SqYx1VA8, 1505109659652971, changeset, 0000000141, repository, proj1
Unique constraint failed for: DyozZFhLCC0h2VxapreBGjBRKDU, 1505109695138384, changeset, 0000000142, repository, proj1
Unique constraint failed for: 3w9KVIzJwRZVnk1rfyO9XHCUL40, 1505109755572136, changeset, 0000000143, repository, proj1
Unique constraint failed for: fpae9MujzVO7gYI6/DW1KU9q+co, 1505115243659134, changeset, 0000000144, repository, proj1
Unique constraint failed for: yb7i6cxgGbD2otlp17Elk+sJamU, 1505115433113563, changeset, 0000000145, repository, proj1
Unique constraint failed for: Zbc3NibTgxp+ZGaqJzex76cjhao, 1505115767739500, changeset, 0000000146, repository, proj1
Unique constraint failed for: 76vHdGCtPtHJnzKs1CN6IMks918, 1505115845433896, changeset, 0000000147, repository, proj1
Unique constraint failed for: u3ZLWwFiBBq5xjZWW6WGYsublnw, 1505115950692638, changeset, 0000000148, repository, proj1
Unique constraint failed for: Y4KILg3DksPwYgm/yHdtVfeevtc, 1505116036208606, changeset, 0000000149, repository, proj1
Unique constraint failed for: C8b9ISfD9rKGcKFTr+6Fe2PoXwo, 1505116165673217, changeset, 0000000150, repository, proj1
Unique constraint failed for: I77IgZW4uOWbuBzHcoPavvnrfMg, 1505116242581018, changeset, 0000000151, repository, proj1
Unique constraint failed for: bKP1in6AVzNdgp9x3gJ50Gq9VaU, 1505116336180229, changeset, 0000000152, repository, proj1
Unique constraint failed for: onjlIlL83mtp8sprPAKhveIHEJc, 1505116454258422, changeset, 0000000153, repository, proj1
Unique constraint failed for: QZsZAVVN7w+F8P0qvI5Mgn3alIE, 1505116544650474, changeset, 0000000154, repository, proj1
Unique constraint failed for: e5b1XWeRbpzkgc+uIlJJBgC/ZmE, 1505116628521517, changeset, 0000000155, repository, proj1
Unique constraint failed for: GkFPKneY32bPQLQhEuTuFK7Pp/U, 1505116726615933, changeset, 0000000156, repository, proj1
Unique constraint failed for: U7g8rN3NOas93WacPrNxJckSv70, 1505116815723713, changeset, 0000000157, repository, proj1
Unique constraint failed for: NAHiMfl9wSeBg6O6NduoQUME8zE, 1505116914967814, changeset, 0000000158, repository, proj1
Unique constraint failed for: FlssmFyFA9MSp70qAMo47C6spm4, 1505116953790256, changeset, 0000000159, repository, proj1
Unique constraint failed for: olLFbYyvY5UdDmMeUeKC2toXYIQ, 1505117290402535, changeset, 0000000160, repository, proj1
Unique constraint failed for: fzx0t0N29kmOTSle++1R94FJDfU, 1505118031573281, changeset, 0000000161, repository, proj1
Unique constraint failed for: tZE0ytFx5I/78F+SiubPIJ0hBhc, 1505173294349215, changeset, 0000000162, repository, proj1
Unique constraint failed for: H9WYlplaCBjEANEa64uK5BFVack, 1505173324337843, changeset, 0000000163, repository, proj1
Unique constraint failed for: Wy+i9fGL86OvWiXGcXGS9ST+CVE, 1505173559085163, changeset, 0000000164, repository, proj1
Unique constraint failed for: O0Y06EMs1641YyRltlt6S5b57U8, 1505208453791514, changeset, 0000000165, repository, proj1
Unique constraint failed for: WeJE0ou14d/Ph8atlDSoZNrY2uo, 1505208845237598, changeset, 0000000166, repository, proj1
Unique constraint failed for: Zg+SeGuQX5v+gmRyZCS9umjUo9U, 1505208917683086, changeset, 0000000167, repository, proj1
Unique constraint failed for: cShGMUAAwBfGg/yqR+f9LNKZlyU, 1505208963783451, changeset, 0000000168, repository, proj1
Unique constraint failed for: 1eafYvNM4edLFX+sf/EI8RfnwrM, 1505334565633667, changeset, 0000000169, repository, proj1
Unique constraint failed for: zqK6aHoabgRcY6B1KcDq0bfoBK4, 1506030502740838, changeset, 0000000170, repository, proj1
Unique constraint failed for: IScHd/Jt2riNCKCixawuxC3exUg, 1506030521357381, changeset, 0000000171, repository, proj1
Unique constraint failed for: g62zo+U9Jz1ADkrFap/JS+qFzvk, 1506030533606077, changeset, 0000000172, repository, proj1
Unique constraint failed for: jpfwmY8RBed6jbUg4BfAoF7grvs, 1506030573903260, changeset, 0000000173, repository, proj1
Unique constraint failed for: 1d8+IkC1yM6r1SuaAq/ir7CCQVE, 1506030666379875, changeset, 0000000174, repository, proj1
Unique constraint failed for: rjahqSPYD5oWijVh4QhmhmXQDzY, 1506030727600165, changeset, 0000000175, repository, proj1
Unique constraint failed for: XonB4W8VjwgERUWCfQ4g+FrMSRA, 1506030845322652, changeset, 0000000176, repository, proj1
Unique constraint failed for: gAEHlBB2oz2a7Mz1pbS9kX7FjuI, 1506030870048021, changeset, 0000000177, repository, proj1
Unique constraint failed for: Aj0oepIYN4QBiBtuTeHa0Qu0Jpc, 1506030913496528, changeset, 0000000178, repository, proj1
Unique constraint failed for: /UQJk4W21uMEurp5Mf8Mc5nmiOg, 1506030972448159, changeset, 0000000179, repository, proj1
Unique constraint failed for: CEy8DlpBbBxjNfQzbYSNimmlEMk, 1506031062316453, changeset, 0000000180, repository, proj1
Unique constraint failed for: KwifObMuZ0NAeDzOBx6SAtKnwe0, 1506031094239815, changeset, 0000000181, repository, proj1
Unique constraint failed for: wsCGMRl4eoXBT39aU89d2d83i8E, 1506031152265765, changeset, 0000000182, repository, proj1
Unique constraint failed for: R+YY72gBIysJOrYvnNIUd7nBYDI, 1506031278247773, changeset, 0000000183, repository, proj1
Unique constraint failed for: 3M7GassZsx/rarUArokNqB7jn8o, 1506031307628307, changeset, 0000000184, repository, proj1
Unique constraint failed for: tVwSlW6nrtgAoVI5fmRQ5ru1kx8, 1506031674889732, changeset, 0000000185, repository, proj1
Unique constraint failed for: XdYPtPrNWMuL9Q2DgnHB38AgtrA, 1506031746400755, changeset, 0000000186, repository, proj1
Unique constraint failed for: 1cpPYts8gwHRp2VKADq01YNK4kQ, 1506031780740199, changeset, 0000000187, repository, proj1
Unique constraint failed for: Ykt0UlvbnP+Op98pOBZDz+nDWsY, 1506230877328167, changeset, 0000000188, repository, proj1
Unique constraint failed for: VYg0Ysy4DZfnW1kQx3E9/tW9T0A, 1506230898172377, changeset, 0000000189, repository, proj1
Unique constraint failed for: MpqhcG7Bss03IjxAMI9f9LeTBJg, 1506465326000256, changeset, 0000000190, repository, proj1
Unique constraint failed for: fZuGx+c3I0oeDh+99x3AoCkc7Wo, 1506465358153067, changeset, 0000000191, repository, proj1
Unique constraint failed for: +SJeNiWLBNCVWLCZX2cvPAMA5Tg, 1506465475756686, changeset, 0000000192, repository, proj1
Unique constraint failed for: ZMBsof2y/uWtmXu4F+CJ93R4IYw, 1506465543473867, changeset, 0000000193, repository, proj1
Unique constraint failed for: AsQoxGBEa2bOU80wyFLcQt6m4O4, 1506465785744036, changeset, 0000000194, repository, proj1
Unique constraint failed for: bf4N8eE5/J7paP/ccvv6MAEX9NI, 1506465802107141, changeset, 0000000195, repository, proj1
Unique constraint failed for: oaHGaDBRdxkpo0+DZXvqZy/s+7A, 1506465856576843, changeset, 0000000196, repository, proj1
Unique constraint failed for: MG6f7Jw81o297ODRmUwbDxarybo, 1506465872031229, changeset, 0000000197, repository, proj1
Unique constraint failed for: aQHFue4BOhrtySrzodIxBTMKQ+U, 1506465950376075, changeset, 0000000198, repository, proj1
Unique constraint failed for: q2wlDqKPuwOzQyvDFYzswSrHV+M, 1506466055276368, changeset, 0000000199, repository, proj1
Unique constraint failed for: o9xPUG1aj/O1LqlPOVFjJ/UV06c, 1506466402346534, changeset, 0000000200, repository, proj1
Unique constraint failed for: NEntDUWcZ2LxfQDrX+KCRPYfXAc, 1506466431093918, changeset, 0000000201, repository, proj1
Unique constraint failed for: aP4CHlvd9505QJTj2gYtdbUwn4A, 1506466499653553, changeset, 0000000202, repository, proj1
Unique constraint failed for: uEUy3J0aT++haqPJEXfhNnHEqGQ, 1506466518978927, changeset, 0000000203, repository, proj1
Unique constraint failed for: YnRd2eB1isGgSHATO0GewOcIqLA, 1506466562385317, changeset, 0000000204, repository, proj1
Unique constraint failed for: YPDZSrJY2nB+i9qHiKAipUQgQUw, 1506466591790808, changeset, 0000000205, repository, proj1
Unique constraint failed for: 4pB62iYmI7BIzXQsLmNzCQmvl2Y, 1506469907718194, changeset, 0000000206, repository, proj1
Unique constraint failed for: mSU2dteoWphHQagpsjS4uyhnSY0, 1506469937035463, changeset, 0000000207, repository, proj1
Unique constraint failed for: uCGY0HFP44xSxGC+FdRyOIw6dBM, 1507113734579575, changeset, 0000000208, repository, proj1
Unique constraint failed for: CdckbvimmRsU6VHBTW+F9kCajkA, 1507788217732556, changeset, 0000000209, repository, proj1
Unique constraint failed for: eDwNZj0f8Ht1sObvULm2UaOScSI, 1507788299358361, changeset, 0000000210, repository, proj1
Unique constraint failed for: 8t3BdPGRjNh5e2+6pIcRMZ4LKbI, 1507788745935001, changeset, 0000000211, repository, proj1
Unique constraint failed for: 1LyKutHr8jXuQQlnh2WEfoZBWcc, 1507788800728491, changeset, 0000000212, repository, proj1
Unique constraint failed for: wC+sfG2sUuBoFiwyfVMoRokXubY, 1507788853622652, changeset, 0000000213, repository, proj1
Unique constraint failed for: 7kDBGHEeZS55EXYt7msrmhbxhpQ, 1509854444498472, changeset, 0000000214, repository, proj1
Unique constraint failed for: bjJRe2hXKchh3bBIQRhcs/eWGWw, 1509854532382535, changeset, 0000000215, repository, proj1
Unique constraint failed for: lL2AX0LSqXYWS4O2NBCfPw/0bbs, 1509854578452507, changeset, 0000000216, repository, proj1
Unique constraint failed for: jjDfM21jJ6skDcaqXCfsKwrV4UE, 1509854654265575, changeset, 0000000217, repository, proj1
Unique constraint failed for: 5bYdTrtSQOAP69iigy09gWTU6XY, 1509854687349562, changeset, 0000000218, repository, proj1
Unique constraint failed for: 736Nt5PEG1Ja/fGj1FB4CDIrUNg, 1517871551405902, changeset, 0000000219, repository, proj1
Unique constraint failed for: bWQyV5t2Mi46jD+at3IDjbRjPq4, 1517871573329789, changeset, 0000000220, repository, proj1
Unique constraint failed for: +i8rIe4xjaLTHOwM7g9DSRnxS3E, 1520483816248462, changeset, 0000000221, repository, proj1
Unique constraint failed for: RSFzpA8uZCoNTs7jQ+Olr0qkHI4, 1523695335157767, changeset, 0000000222, repository, proj1
Unique constraint failed for: LaNe5IVhcMvx2S3HHoWNZXRnz1g, 1523695489261087, changeset, 0000000223, repository, proj1
Unique constraint failed for: LBsOCrm6ADdgf8V+ssJpiBe74Dc, 1523695518492784, changeset, 0000000224, repository, proj1
Unique constraint failed for: H72DvFMks9I41MwWcq3mFhnqc+E, 1523695603895052, changeset, 0000000225, repository, proj1
Unique constraint failed for: kow8oBQbS9g+wSRj0dp15ncp1+I, 1524614174067023, changeset, 0000000226, repository, proj1
Unique constraint failed for: qhiKvNufhFXVCdXK7gENxndjIbA, 1528933361573333, changeset, 0000000227, repository, proj1
Unique constraint failed for: R1gWIljDhWY/ZA2B+UZ7HY5/j+o, 1531185261539051, changeset, 0000000228, repository, proj1
Unique constraint failed for: UkAcQoHDMV9kVKdtvQXsFNAPWrI, 1532990916893870, changeset, 0000000229, repository, proj1
Unique constraint failed for: Xe6KSG5X+oOOxxLMt5BP2pQdlhc, 1532991059885340, changeset, 0000000230, repository, proj1
Unique constraint failed for: JF5OfvVKHiUBwRB0Zwuib3pqGzo, 1532991449096092, changeset, 0000000231, repository, proj1
Unique constraint failed for: 91bfHl+vjkObCA0g3E5KPVrmLXk, 1533794811364214, changeset, 0000000232, repository, proj1
Unique constraint failed for: uFlJflmiwauL8zP3HkiMQiyX/lw, 1533794820809337, changeset, 0000000233, repository, proj1
Unique constraint failed for: FME4QCpc32soHXtUJzGQ51Ru5Ag, 1533795237834761, changeset, 0000000234, repository, proj1
Unique constraint failed for: o3Eg3UOLeANnXolFzvA0xY2hBBU, 1533795328113302, changeset, 0000000235, repository, proj1
Unique constraint failed for: baspitjbL3NAstUmOEHVXQ410xA, 1544633917276143, changeset, 0000000236, repository, proj1
Unique constraint failed for: dDY8+cFHiBSPBg5a3nIotVPz4uQ, 1544636545119457, changeset, 0000000237, repository, proj1
Unique constraint failed for: FsCW2fJFYXV7tjEHh1DPjL90vjM, 1550456040143899, changeset, 0000000238, repository, proj1
Unique constraint failed for: D8GD6dVmT7dDlj1NrXiDt26NzWI, 1565416880363120, changeset, 0000000239, repository, proj1
Unique constraint failed for: dKKpeiCIi+A8qzf8D8KiZRhUq8M, 1565417006729192, changeset, 0000000240, repository, proj1
Unique constraint failed for: YE5xc1I/XsCBpDokE7Cj4WFX6E0, 1589846449096517, changeset, 0000000241, repository, proj1
Indexed 18961 objects from changeset
Unique constraint failed for: JkSdJdWzWCasfQ0MzTFOKN681tc, 1588296904988346, attachment, atom-editor-cheat-sheet.pdf, blog, newpost
Unique constraint failed for: nHAeH8EHKitAtOvFsY33zc/v7m8, 1491012165082426, attachment, activate.bat, ticket, 1
Unique constraint failed for: WNNuDwgqFhECDLOWR9VcDJM5jgs, 1531979046719008, attachment, do_add.m, ticket, 1
Unique constraint failed for: ih8V/RpxvEVsdSbOAUVH42VOqpw, 1504561519655083, attachment, mcc.txt, ticket, 1
Unique constraint failed for: Rf11829JI0IG3m7AYJIjVauu6CE, 1494316710461762, attachment, pull-all.sh, ticket, 1
Unique constraint failed for: BVx1y4hSRGCE1fGevBR7R3BVCXw, 1521774966107900, attachment, trac_logo.png, ticket, 1
Unique constraint failed for: vIgpBVgO8Zto6J0oNJwLqQWhMlE, 1570452069810952, attachment, VERSION, ticket, 115
Unique constraint failed for: e0miOo8P25yKuPnu66705z/TESo, 1570452069804429, attachment, htdigest.trac, ticket, 115
Unique constraint failed for: swWV+U+6rKxXkJi9O7dewWF72GU, 1588873529682369, attachment, atom-editor-cheat-sheet.pdf, ticket, 138
Unique constraint failed for: xhy3W1OYqj0MMIgPdM7HwHUKrRw, 1491017348102164, attachment, a_guided_tour_of_flask.ipynb, ticket, 15
Unique constraint failed for: CAclJfV9+sj634Yc1WKUZYtzOf0, 1590246250788922, attachment, comment_title_macro.py, ticket, 152
Unique constraint failed for: XRCfIcYUilHdL5CC/5+aUyllTLM, 1492155053690440, attachment, basic_multirepo_support.patch, ticket, 18
Unique constraint failed for: HCz3ksd6fz4caK8/UJi6gnNEj/4, 1590306214245627, attachment, atom-editor-cheat-sheet.pdf, ticket, 2
Unique constraint failed for: oOwawzDIJD0wECMPO3fjh4jvqgc, 1504561803010469, attachment, categories.txt, ticket, 25
Unique constraint failed for: OSNkQFOuBfDtY1oWry9OneVL4Iw, 1504561803019300, attachment, hosts, ticket, 25
Unique constraint failed for: F0qSg+7el8M1d+hTBWDlcXCGW9M, 1504562090481984, attachment, You_Dont_Know_JS_Up_and_Going.mobi, ticket, 27
Unique constraint failed for: XkxGNxexgmt/dPEko8QL4Ej1c4k, 1504562090475464, attachment, hosts, ticket, 27
Unique constraint failed for: hFUKI9QxgRav6KKVxgPWZiqO/T4, 1504562108550984, attachment, 9781430210788.mobi, ticket, 28
Unique constraint failed for: nwk2J+VIpzw5wqrr9Vm7tHts22Q, 1504562129217102, attachment, 9781430218272.pdf, ticket, 29
Unique constraint failed for: 4XZ8KH9OHK+gbG/6xDlYISwGx2Q, 1504824556793771, attachment, Trac1.2.x-1.html, ticket, 35
Unique constraint failed for: SuQwW3seqTdoHHF7/vZQ+4cZF+k, 1504824556800777, attachment, WikiStart-1.pdf, ticket, 35
Unique constraint failed for: tw3dZwCAflrMtJniP4n36cMWm64, 1504824604113056, attachment, E2SC104.jpg, ticket, 37
Unique constraint failed for: Xuctk9IIiyLGDyPXwPPfe4FEGFU, 1621624549944647, attachment, Screen Shot 2021-05-16 at 15.54.05.jpg, ticket, 37
Unique constraint failed for: nMqSfQRMfp/ncl7on8xLQ1dz3t8, 1504824604118337, attachment, Trac1.2.x.html, ticket, 37
Unique constraint failed for: 5V/8qG3A3dILkwL3v+qZyXIVo64, 1506036551941377, attachment, Screen Shot 2017-09-21 at 15.34.42.png, ticket, 42
Unique constraint failed for: q/fplsyd4HvdxYgn0qpsm1hrSIQ, 1529466683156216, attachment, activate.patch, ticket, 82
Unique constraint failed for: kUdjTAk/CjS9LbS8sc3soEDccwg, 1531181498903039, attachment, ryan_blue_undereye_light_2mb.jpg, ticket, 84
Unique constraint failed for: 48FE3rVYr3ZNE0aANKIC/FkUCLg, 1588711483462466, attachment, get-pip.py, wiki, AttachTest
Unique constraint failed for: CA2ZwwL0iKSEtQeEjmvbhecqe0A, 1588711483474391, attachment, httpd-vhosts.conf, wiki, AttachTest
Unique constraint failed for: CkxxykfeCxXQ0eSSFuQsuPvih5A, 1528951847160329, attachment, activate.patch, wiki, IncludeMacro
Unique constraint failed for: t60ufrMI09Zw3tvyhhRREZY/Tcs, 1593138297160268, attachment, 2020-06-25 19.22.51.mp4, wiki, MovieMacro
Unique constraint failed for: cc+KHFEucxaM2l9d4xsZiX6EmSk, 1589843443573674, attachment, atom-editor-cheat-sheet.pdf, wiki, Private/PageOne
Indexed 32 objects from attachment
Last edited 12 months ago by Ryan J Ollos (previous) (diff)

comment:14 Changed 12 months ago by Jun Omae

In 18313:

TracDbftsPlugin: skip alias repository on dbfts index command for changesets (refs #14013)

comment:15 Changed 12 months ago by Ryan J Ollos

No problems after r18313. Strange that attachments were failing earlier if the problem was only due to repository alias.

$ trac-admin $ENVS/proj-1.3 dbfts index
Indexed 100 objects from wiki
Indexed 166 objects from ticket
Indexed 17 objects from milestone
Indexed 18720 objects from changeset
Indexed 32 objects from attachment

comment:16 in reply to:  12 ; Changed 12 months ago by Jun Omae

What are the key features / advantages of full text search over the search implementation in Trac? Is it primarily performance improvement?

Exactly. In addition, I'd like to be able to search changesets in non-cache repository, contents in attachment files.

Last edited 12 months ago by Jun Omae (previous) (diff)

comment:17 Changed 12 months ago by Ryan J Ollos

With some search terms I'm seeing: DatabaseError: database disk image is malformed.

Request parameters:

{u'changeset': u'on',
 u'milestone': u'on',
 u'noquickjump': u'1',
 u'q': u'trac',
 u'ticket': u'on',
 u'wiki': u'on'}

Traceback:

File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/web/main.py", line 639, in dispatch_request          
  dispatcher.dispatch(req)
File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/web/main.py", line 250, in dispatch          
  resp = chosen_handler.process_request(req)
File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/web_ui.py", line 65, in process_request          
  data = self._process_request(req)
File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/web_ui.py", line 88, in _process_request          
  results = self._do_search(req, query, filters)
File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/web_ui.py", line 102, in _do_search          
  for result in mod.search(query, filters):
File "/Users/rjollos/Documents/Workspace/trac-dev/trac-hacks/tracdbftsplugin/trunk/tracdbfts/api.py", line 571, in search          
  """.format(','.join(['%s'] * len(realms))), args)
File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/util.py", line 73, in execute          
  return self.cursor.execute(sql_escape_percent(sql), args)
File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 87, in execute          
  result = PyFormatCursor.execute(self, *args)
File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 63, in execute          
  args or [])
File "/Users/rjollos/Documents/Workspace/trac-dev/teo-rjollos.git/trac/db/sqlite_backend.py", line 54, in _rollback_on_error          
  return function(self, *args, **kwargs)

Investigating. So far have:

sqlite> PRAGMA integrity_check;
ok

comment:18 in reply to:  17 ; Changed 12 months ago by Jun Omae

Replying to Ryan J Ollos:

With some search terms I'm seeing: DatabaseError: database disk image is malformed.

I consider something wrong exists in SQLite fts5 extension with trigram tokenizer.

Try the following commands:

sqlite> insert into dbfts_idx (dbfts_idx) values ('integrity-check');
sqlite> insert into dbfts_idx (dbfts_idx) values ('rebuild');

See also https://www.sqlite.org/fts5.html#the_rebuild_command.

Otherwise, try to drop dbfts table manually and re-index using dbfts index command.

comment:19 in reply to:  18 Changed 12 months ago by Ryan J Ollos

Replying to Jun Omae:

Try the following commands:

sqlite> insert into dbfts_idx (dbfts_idx) values ('integrity-check');
sqlite> insert into dbfts_idx (dbfts_idx) values ('rebuild');

That has fixed the issue. Thanks!

comment:20 in reply to:  16 ; Changed 12 months ago by Ryan J Ollos

Replying to Jun Omae:

What are the key features / advantages of full text search over the search implementation in Trac? Is it primarily performance improvement?

Exactly. In addition, I'd like to be able to search changesets in non-cache repository, contents in attachment files.

I see how non-cached changesets are searched, but it doesn't look like attachment file content is searched. Is that already implemented, or a future enhancement?

For non-cached repository, IRepositoryChangeListener still needs to be called, so either explicit repository synchronization or implicit synchronization (sync per request) is needed. Is that correct?

comment:21 Changed 12 months ago by Ryan J Ollos

Resolution: fixed
Status: newclosed

comment:22 in reply to:  20 Changed 12 months ago by Jun Omae

I see how non-cached changesets are searched, but it doesn't look like attachment file content is searched. Is that already implemented, or a future enhancement?

Yeah, the searching attachment contents is a future enhancement (work-in-progress).

For non-cached repository, IRepositoryChangeListener still needs to be called, so either explicit repository synchronization or implicit synchronization (sync per request) is needed. Is that correct?

Explicit repository synchronization is required to call the IRepositoryChangeListeners. Implicit synchronization doesn't call the listeners.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Jun Omae.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.